/** Set the color palette for the theme as variables */
:root {
    --dark-color: #243842;
    --light-color: #F1F0EF;
    --light-red: #FF3334;
    --orange-color: #ffbd00;
    --green-color: #198754;
    --light-green: #33d1cc;
}

/** Change the scrollbar color */
body::-webkit-scrollbar {
    width : 0.7rem;
    height: 0.5rem;
}
body::-webkit-scrollbar-track {
    background:hsl(200, 29%, 20%, 1);
}
body::-webkit-scrollbar-thumb {
    background: hsla(360, 100%, 60%, 1); 
}

/** The style of the body */
body {
    font-family: 'Didact Gothic', sans-serif;
    background-color: var(--light-color);
}

/** The font family for the headers and titles */
.headingFontFamily {
    font-family: 'Tinos', serif;
}

/** To make a font bold */
.bold {
    font-weight: bold;
}

/** The border between the category and link */
.section-label__border{
    flex-grow: 1;
    padding: 1rem;
    margin: 1rem;
    margin-top:1.6rem;
    border-top: 1px solid var(--dark-color);
}

/** Start Scroll to top  */
#scroll-top {
    position: fixed;
    z-index: 100;
    bottom: 1rem;
    right: 1rem;
    border-radius: 6px;
    font-size: 2rem;
    padding: 0.25rem 1rem;    
    background: var(--light-red);
    color: rgb(255, 255, 255);
    box-shadow: 0 0 10px hsl(200, 29%, 20%, 0.7);
    border: none;
    cursor: pointer;
    display: none; 
}
/* Add some animation when hovering the scroll up button */
#scroll-top:hover {
    animation: scrollUp 1s ease-out infinite;
}
@keyframes scrollUp{
    0%, 100% { 
        margin-top: 1rem;
        bottom: 1rem;
    }
    25% { 
        margin-top: 1.5rem;
        bottom: 1.5rem;
    }
    75% { 
        margin-top: 0.5rem;
        bottom: 0.5rem;
    }
}
/** End Scroll to top  */


/** Start Navbar */
.navbar {
    background-color: var(--dark-color);
}
.logo {
    width: 3rem;
    fill :var(--light-red);
}
.navbar .navbar-nav .nav-link {
    color: var(--light-color);
    font-family: 'Tinos', serif;
}
.navbar .navbar-nav .nav-link.active, 
.navbar .navbar-nav .nav-link:focus,
.navbar .navbar-nav .nav-link:hover{
    color: var(--light-green);
}
/* Edit the search bar style */
.navbar .search-bar {
    position: relative;
}
.navbar .search-bar input{
    position: relative;
    background: none;
    border: 1px solid var(--green-color);
    color: var(--light-color);
}
.navbar .search-bar input:focus {
    box-shadow: none;
}
/* Edit the submit button Style */
.navbar .search-bar button{
    position: absolute;
    top  : 0;
    right: 0;
    height: 100%;
    width: 3rem;
    color: var(--green-color);
    background: none;
    border-radius: 0 0.25rem 0.25rem 0;
}
.navbar .search-bar button:focus {
    box-shadow: none;
}
.navbar .search-bar button:hover {
    color: var(--light-color);
    background: var(--green-color);
}
/* The toggle button */
.navbar .navbar-toggler {
    color: var(--light-red);
    border-color: var(--orange-color);
    font-size: 1.6rem;
}
.navbar .navbar-toggler[aria-expanded="true"] {
    border-color: var(--light-red);
}
.navbar .navbar-toggler:focus {
    box-shadow: none;
}
/** End Navbar */


/** Start Subscription Section */
/* Subscription background */
.subscribe {
    background-color: var(--orange-color);
}
/* Subscription header */
.form-label {
    color: var(--dark-color) !important;
}
/* The input styles */
.subscribe .subscribeInput {
    border: none;
    border-bottom: 1px solid var(--light-color);
    margin: 1rem 0;
    color: var(--light-color);
}
.subscribeInput::placeholder {
    color: var(--light-color);
}
.subscribe .subscribeInput:focus {
    outline: none;
}
/* Submit button */
.subscribe input {
    border: 1px solid var(--dark-color);
    background: none;
    color: var(--dark-color);
}
.subscribe input[type="submit"]:hover {
    background-color: var(--dark-color);
    color: var(--orange-color);
}
.subscribe input:focus {
    box-shadow: none;
}
/** End Subscription Section */


/** Start Footer Section */
/*  Footer background */
.footer {
    background-color: var(--dark-color);
}
/* remove the links text decoration */
.footer * {
    text-decoration: none;
}
/* info section color */
.footer .info p{
    color: var(--light-color);
}

/* Set the size of the social media buttons */
.footer .contact ul svg {
    width : 20px;
    height: 20px;
}
/* Social media icon's color */
.footer .facebook {
    background-color: #1877f2;
}
.footer .twitter {
    background-color: #1da1f2;
}
.footer .linkedin {
    background-color: #0077b5;
}
.footer .youtube {
    background-color: #ff0000;
}
/* Adding animation to the icons on hover */
.footer .info .socialIcons li {
    position: relative;
}
.footer .info .socialIcons li:hover {
    animation: socialIcons 1s ease-out infinite;
}
@keyframes socialIcons{
    0%, 100% { 
        top: 0;
    }
    25% { 
        top: 0.5rem;
    }
    75% { 
        top: -0.5rem;
    }
}
/* Set the color of the author */
.copyright > span:first-of-type {
    color: var(--orange-color);
}
/* Set the color and font style of the website's name */
.copyright > div span:last-of-type {
    color: var(--light-color);
    font-style: italic;
}

/* Footer List header */
.footer .links > h2, .footer .latestFooter {
    color:var(--orange-color);
    font-weight: normal;
}
/* Adding animation to the list items on hover */
.footer .links .links-link{
    color: var(--light-color);
    position: relative;
    transition: all 0.5s ease;
}
.footer .links .links-link:hover{
    color: var(--light-green);
    padding-left: 0.5rem;
}

/* The Latest collection styles */
.footer .categoryFooter{
    color: var(--light-red);
    font-weight: bold;
}
.footer .titleFooter {
    font-style: italic;
    color: var(--light-color);
    transition: all 0.5s ease;
}
.footer .titleFooter:hover {
    text-decoration: underline;
    padding-left: 0.5rem;
}
/** End Footer Section */